Package twisted :: Package internet :: Module interfaces :: Class IReactorMulticast

[frames | no frames]

## Class IReactorMulticast

    Interface --+
                |
               IReactorMulticast

UDP socket methods that support multicast.

IMPORTANT: This is an experimental new interface. It may change without backwards compatability. Suggestions are welcome.

Method Summary
| ``listenMulticast`(self, port, protocol, interface, maxPacketSize)` Connects a given `DatagramProtocol` to the given numeric UDP port.

Method Details

### listenMulticast(self, port, protocol, interface='', maxPacketSize=8192)

Connects a given `DatagramProtocol` to the given numeric UDP port.

  Returns:
    object conforming to `IListeningPort`.

Generated by Epydoc 2.0 on Sat May 15 20:08:46 2004 | http://epydoc.sf.net